package com.ebts.generator.entity;

import com.alibaba.fastjson.JSONObject;

/**
 * @author: Clay
 * @date: 2021/7/26 16:04
 * @description：TopEdge
 * @email: clay@hchyun.com
 */
public class TopEdge {


    private String id;
    private String source;
    private String sourceEdge;
    private String target;
    private JSONObject appConfig;




    public TopEdge() {
    }

    public TopEdge(String id,String source, String target, JSONObject appConfig) {
        this.id = id;
        this.source = source;
        this.target = target;
        this.appConfig = appConfig;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSourceEdge() {
        return sourceEdge;
    }

    public void setSourceEdge(String sourceEdge) {
        this.sourceEdge = sourceEdge;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public JSONObject getAppConfig() {
        return appConfig;
    }

    public void setAppConfig(JSONObject appConfig) {
        this.appConfig = appConfig;
    }
}
